# Part of UPE
import configparser
from platform import system

if system().lower() == 'linux':
    cfgfile = '/etc/upe/config.ini'
    default_database = '/etc/upe/pkgdb.json'
# Mac not ready
# Windows not ready
config = configparser.ConfigParser(allow_no_value=True, delimiters=('=',),
    comment_prefixes=(';',), inline_comment_prefixes=(';',))

if config.read(cfgfile) == []:
    raise PermissionError("Can't read Config File")  # lint:ok


class packages:
    '''Get configuration under [packages]'''
    database = config['packages']['database']